--[[

ARL-Cook.lua

Cooking data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()

function ARL:ARL_InitCooking()

	--local Version
	--if _G.GetSpellInfo then Version = "2.4" else Version = "2.3" end

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkillSpell(2538, 1, L["Trainer"])
	ARL:addTradeSkillSpell(8604, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2540, 1, L["Trainer"])
	ARL:addTradeSkillSpell(37836, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2539, 10, L["Trainer"])
	ARL:addTradeSkillSpell(6499, 50, L["Trainer"])
	ARL:addTradeSkillSpell(2541, 50, L["Trainer"])
	ARL:addTradeSkillSpell(2544, 75, L["Trainer"])
	ARL:addTradeSkillSpell(2546, 80, L["Trainer"])
	ARL:addTradeSkillSpell(6500, 125, L["Trainer"])
	ARL:addTradeSkillSpell(21175, 200, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkillSpell(7751, 1, ARL:ARL_AddVendor({213, 214, 215, 216, 217, 218, 219, 220, 4}, false))
	ARL:addTradeSkillSpell(15935, 1, ARL:ARL_AddVendor({221}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(33276, 1, ARL:ARL_AddVendor({222}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(7752, 1, ARL:ARL_AddVendor({223, 218, 224, 225, 226}, false))
	ARL:addTradeSkillSpell(6413, 20, ARL:ARL_AddVendor({227}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(6414, 35, ARL:ARL_AddVendor({228}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(8607, 40, ARL:ARL_AddVendor({6, 229}, false))
	ARL:addTradeSkillSpell(6415, 50, ARL:ARL_AddVendor({230}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(7753, 50, ARL:ARL_AddVendor({215, 216, 231, 217, 232, 219, 225, 4}, false))
	ARL:addTradeSkillSpell(7754, 50, ARL:ARL_AddVendor({216}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(7827, 50, ARL:ARL_AddVendor({213, 233, 231, 234, 223, 224, 235, 236, 237, 226}, false))
	ARL:addTradeSkillSpell(33278, 50, ARL:ARL_AddVendor({238}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(25704, 80, ARL:ARL_AddVendor({239, 240, 241, 242, 243, 244, 245, 246, 238, 29, 232, 219, 247, 248, 249, 235, 250, 251, 252}, false))
	ARL:addTradeSkillSpell(2545, 85, ARL:ARL_AddVendor({253}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(6501, 90, ARL:ARL_AddVendor({233, 223}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(6418, 100, ARL:ARL_AddVendor({254}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(7755, 100, ARL:ARL_AddVendor({213, 240, 234, 257, 232, 235, 220}, false))
	ARL:addTradeSkillSpell(6419, 110, ARL:ARL_AddVendor({258, 259}, false))
	ARL:addTradeSkillSpell(2548, 110, ARL:ARL_AddVendor({253}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(15853, 125, ARL:ARL_AddVendor({260}, false))
	ARL:addTradeSkillSpell(24418, 150, ARL:ARL_AddVendor({261}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(7213, 175, ARL:ARL_AddVendor({246}, false))
	ARL:addTradeSkillSpell(7828, 175, ARL:ARL_AddVendor({233, 246, 257, 217, 236, 237, 225, 262, 251}, false))
	ARL:addTradeSkillSpell(15855, 175, ARL:ARL_AddVendor({263, 111, 116, 113, 205, 261, 259}, false))
	ARL:addTradeSkillSpell(15856, 175, ARL:ARL_AddVendor({264, 260, 265}, false))
	ARL:addTradeSkillSpell(15861, 175, ARL:ARL_AddVendor({264, 260, 265}, false))
	ARL:addTradeSkillSpell(15863, 175, ARL:ARL_AddVendor({197, 24, 261, 259}, false))
	ARL:addTradeSkillSpell(15865, 175, ARL:ARL_AddVendor({116, 266, 260}, false))
	ARL:addTradeSkillSpell(20916, 175, ARL:ARL_AddVendor({233, 246, 257, 217, 236, 237, 225, 262, 251}, false))
	ARL:addTradeSkillSpell(25954, 175, ARL:ARL_AddVendor({239, 240, 241, 242, 243, 244, 245, 246, 238, 29, 232, 219, 247, 248, 249, 235, 250, 251, 252}, false))
	ARL:addTradeSkillSpell(15906, 200, ARL:ARL_AddVendor({116, 261, 260}, false))
	ARL:addTradeSkillSpell(15910, 200, ARL:ARL_AddVendor({266, 24, 259}, false))
	ARL:addTradeSkillSpell(15915, 225, ARL:ARL_AddVendor({197, 223, 267}, false))
	ARL:addTradeSkillSpell(15933, 225, ARL:ARL_AddVendor({169, 268, 170}, false))
	ARL:addTradeSkillSpell(18239, 225, ARL:ARL_AddVendor({246}, false))
	ARL:addTradeSkillSpell(18238, 225, ARL:ARL_AddVendor({269}, false))
	ARL:addTradeSkillSpell(18241, 225, ARL:ARL_AddVendor({246}, false))
	ARL:addTradeSkillSpell(20626, 225, ARL:ARL_AddVendor({213}, false))
	ARL:addTradeSkillSpell(22480, 225, ARL:ARL_AddVendor({270, 271, 272}, false))
	ARL:addTradeSkillSpell(18240, 240, ARL:ARL_AddVendor({269}, false))
	ARL:addTradeSkillSpell(18242, 240, ARL:ARL_AddVendor({246}, false))
	ARL:addTradeSkillSpell(18243, 250, ARL:ARL_AddVendor({269}, false))
	ARL:addTradeSkillSpell(18244, 250, ARL:ARL_AddVendor({269}, false))
	ARL:addTradeSkillSpell(46684, 250, ARL:ARL_AddVendor({169, 170}, false))
	ARL:addTradeSkillSpell(46688, 250, ARL:ARL_AddVendor({169, 170}, false))
	ARL:addTradeSkillSpell(18245, 275, ARL:ARL_AddVendor({264, 265}, false))
	ARL:addTradeSkillSpell(18246, 275, ARL:ARL_AddVendor({264, 265}, false))
	ARL:addTradeSkillSpell(18247, 275, ARL:ARL_AddVendor({264, 265}, false))
	ARL:addTradeSkillSpell(33284, 300, ARL:ARL_AddVendor({273, 274}, false))
	ARL:addTradeSkillSpell(33290, 300, ARL:ARL_AddVendor({275, 276}, false))
	ARL:addTradeSkillSpell(33291, 300, ARL:ARL_AddVendor({275, 64}, false))
	ARL:addTradeSkillSpell(33292, 310, ARL:ARL_AddVendor({277}, false))
	ARL:addTradeSkillSpell(33286, 310, ARL:ARL_AddVendor({278, 279}, false))
	ARL:addTradeSkillSpell(33293, 320, ARL:ARL_AddVendor({255, 256}, false))
	ARL:addTradeSkillSpell(33294, 320, ARL:ARL_AddVendor({255, 256}, false))
	ARL:addTradeSkillSpell(33287, 325, ARL:ARL_AddVendor({255, 256}, false))
	ARL:addTradeSkillSpell(33288, 325, ARL:ARL_AddVendor({278, 279}, false))
	ARL:addTradeSkillSpell(33289, 325, ARL:ARL_AddVendor({255, 256}, false))
	ARL:addTradeSkillSpell(33295, 325, ARL:ARL_AddVendor({198, 200}, false))
	ARL:addTradeSkillSpell(33296, 350, ARL:ARL_AddVendor({198, 200}, false))

	-- World Drops

	-- Specific Drops
	ARL:addTradeSkillSpell(33277, 1, L["Roasted Moongraze Tenderloin Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(6412, 10, L["Kaldorei Spider Kabob Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(2795, 25, L["Beer Basted Boar Ribs Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(6416, 50, L["Strider Stew Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(2542, 50, L["Goretusk Liver Pie Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(3371, 60, L["Blood Sausage Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(9513, 60, L["Thistle Tea Obt"], {"ROGUE"})
	ARL:addTradeSkillSpell(28267, 60, L["Crunchy Spider Surprise Obt"])
	ARL:addTradeSkillSpell(2543, 75, L["Westfall Stew Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(3370, 80, L["Crocolisk Steak Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(8238, 85, L["Savory Deviate Delight Obt"])
	ARL:addTradeSkillSpell(3372, 90, L["Murloc Fin Soup Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(6417, 90, L["Dig Rat Stew Obt"], {BFAC["Horde"]})
	ARL:addTradeSkillSpell(45695, 100, L["Fishing Daily"])
	ARL:addTradeSkillSpell(2547, 100, L["Redridge Goulash Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(2549, 100, L["Seasoned Wolf Kabob Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(3377, 110, L["Gooey Spider Cake Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(3397, 110, L["Big Bear Steak Obt"])
	ARL:addTradeSkillSpell(3373, 120, L["Crocolisk Gumbo Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(3398, 125, L["Hot Lion Chops Obt"])
	ARL:addTradeSkillSpell(3376, 130, L["Curiously Tasty Omelet Obt"])
	ARL:addTradeSkillSpell(3399, 150, L["Tasty Lion Steak Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(3400, 175, L["Soothing Turtle Bisque Obt"])
	ARL:addTradeSkillSpell(4094, 175, L["Barbecued Buzzard Wing Obt"])
	ARL:addTradeSkillSpell(13028, 175, L["Goldthorn Tea Obt"])
	ARL:addTradeSkillSpell(22761, 275, L["Runn Tum Tuber Surprise Obt"])
	ARL:addTradeSkillSpell(24801, 285, L["Smoked Desert Dumplings Obt"])
	ARL:addTradeSkillSpell(25659, 300, L["Dirge's Kickin' Chimaerok Chops Obt"], {L["Raid"]})
	ARL:addTradeSkillSpell(43779, 325, L["Cooking Daily"])
	ARL:addTradeSkillSpell(33279, 300, L["Buzzard Bites Obt"])
	ARL:addTradeSkillSpell(43772, 300, L["Cooking Daily"])
	ARL:addTradeSkillSpell(43761, 300, L["Cooking Daily"])
	ARL:addTradeSkillSpell(43758, 300, L["Cooking Daily"])
	ARL:addTradeSkillSpell(42296, 310, L["Stewed Trout Obt"])
	ARL:addTradeSkillSpell(43765, 325, L["Cooking Daily"])
	ARL:addTradeSkillSpell(43707, 325, L["Cooking Daily"])
	ARL:addTradeSkillSpell(38868, 335, L["Crunchy Serpent Obt"])
	ARL:addTradeSkillSpell(38867, 335, L["Mok'Nathal Shortribs Obt"])
	ARL:addTradeSkillSpell(42302, 350, L["Fisherman's Feast Obt"])
	ARL:addTradeSkillSpell(42305, 350, L["Hot Buttered Trout Obt"])

	-- Seasonal
	ARL:addTradeSkillSpell(21143, 1, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkillSpell(21144, 35, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkillSpell(45022, 325, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkillSpell(36210, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})
	ARL:addTradeSkillSpell(33285, 310, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})

	-- Raid Drops

end
