--[[

ARL-Jewelcraft.lua

Jewelcrafting data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()

function ARL:ARL_InitJewelcrafting()

	--local Version
	--if _G.GetSpellInfo then Version = "2.4" else Version = "2.3" end

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkillSpell(25255, 1, L["Trainer"])
	ARL:addTradeSkillSpell(25493, 1, L["Trainer"])
	ARL:addTradeSkillSpell(26925, 1, L["Trainer"])
	ARL:addTradeSkillSpell(32259, 1, L["Trainer"])
	ARL:addTradeSkillSpell(26926, 5, L["Trainer"])
	ARL:addTradeSkillSpell(32178, 20, L["Trainer"])
	ARL:addTradeSkillSpell(32179, 20, L["Trainer"])
	ARL:addTradeSkillSpell(25283, 30, L["Trainer"])
	ARL:addTradeSkillSpell(26928, 30, L["Trainer"])
	ARL:addTradeSkillSpell(25278, 50, L["Trainer"])
	ARL:addTradeSkillSpell(25280, 50, L["Trainer"])
	ARL:addTradeSkillSpell(25490, 50, L["Trainer"])
	ARL:addTradeSkillSpell(26927, 50, L["Trainer"])
	ARL:addTradeSkillSpell(32801, 50, L["Trainer"])
	ARL:addTradeSkillSpell(25284, 60, L["Trainer"])
	ARL:addTradeSkillSpell(37818, 65, L["Trainer"])
	ARL:addTradeSkillSpell(25287, 70, L["Trainer"])
	ARL:addTradeSkillSpell(36523, 75, L["Trainer"])
	ARL:addTradeSkillSpell(38175, 80, L["Trainer"])
	ARL:addTradeSkillSpell(25305, 90, L["Trainer"])
	ARL:addTradeSkillSpell(25317, 100, L["Trainer"])
	ARL:addTradeSkillSpell(25318, 100, L["Trainer"])
	ARL:addTradeSkillSpell(36524, 105, L["Trainer"])
	ARL:addTradeSkillSpell(25498, 110, L["Trainer"])
	ARL:addTradeSkillSpell(32807, 110, L["Trainer"])
	ARL:addTradeSkillSpell(25321, 120, L["Trainer"])
	ARL:addTradeSkillSpell(25613, 135, L["Trainer"])
	ARL:addTradeSkillSpell(25615, 150, L["Trainer"])
	ARL:addTradeSkillSpell(25620, 170, L["Trainer"])
	ARL:addTradeSkillSpell(32808, 175, L["Trainer"])
	ARL:addTradeSkillSpell(25621, 180, L["Trainer"])
	ARL:addTradeSkillSpell(34955, 180, L["Trainer"])
	ARL:addTradeSkillSpell(26872, 200, L["Trainer"])
	ARL:addTradeSkillSpell(34959, 200, L["Trainer"])
	ARL:addTradeSkillSpell(26874, 210, L["Trainer"])
	ARL:addTradeSkillSpell(26876, 220, L["Trainer"])
	ARL:addTradeSkillSpell(26880, 225, L["Trainer"])
	ARL:addTradeSkillSpell(32809, 225, L["Trainer"])
	ARL:addTradeSkillSpell(36525, 230, L["Trainer"])
	ARL:addTradeSkillSpell(26883, 235, L["Trainer"])
	ARL:addTradeSkillSpell(26885, 240, L["Trainer"])
	ARL:addTradeSkillSpell(26902, 260, L["Trainer"])
	ARL:addTradeSkillSpell(36526, 275, L["Trainer"])
	ARL:addTradeSkillSpell(26903, 275, L["Trainer"])
	ARL:addTradeSkillSpell(26907, 280, L["Trainer"])
	ARL:addTradeSkillSpell(26908, 280, L["Trainer"])
	ARL:addTradeSkillSpell(34960, 280, L["Trainer"])
	ARL:addTradeSkillSpell(26911, 290, L["Trainer"])
	ARL:addTradeSkillSpell(34961, 290, L["Trainer"])
	ARL:addTradeSkillSpell(26916, 310, L["Trainer"])
	ARL:addTradeSkillSpell(31048, 310, L["Trainer"])
	ARL:addTradeSkillSpell(31049, 310, L["Trainer"])
	ARL:addTradeSkillSpell(31050, 320, L["Trainer"])
	ARL:addTradeSkillSpell(38068, 325, L["Trainer"])
	ARL:addTradeSkillSpell(31052, 335, L["Trainer"])
	ARL:addTradeSkillSpell(31051, 335, L["Trainer"])
	ARL:addTradeSkillSpell(41414, 325, L["Trainer"])
	ARL:addTradeSkillSpell(41418, 365, L["Trainer"])
	ARL:addTradeSkillSpell(40514, 340, L["Trainer"])
	ARL:addTradeSkillSpell(41420, 325, L["Trainer"])
	ARL:addTradeSkillSpell(41429, 350, L["Trainer"])
	ARL:addTradeSkillSpell(41415, 330, L["Trainer"])
	ARL:addTradeSkillSpell(47280, 330, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkillSpell(25339, 110, ARL:ARL_AddVendor({190, 191, 192, 193}, false))
	ARL:addTradeSkillSpell(25610, 120, ARL:ARL_AddVendor({112, 194}, false))
	ARL:addTradeSkillSpell(25323, 125, ARL:ARL_AddVendor({195, 12}, false))
	ARL:addTradeSkillSpell(25612, 125, ARL:ARL_AddVendor({110, 29}, false))
	ARL:addTradeSkillSpell(25320, 150, ARL:ARL_AddVendor({190, 201, 212, 192}, false))
	ARL:addTradeSkillSpell(25617, 150, ARL:ARL_AddVendor({24, 29}, false))
	ARL:addTradeSkillSpell(25619, 170, ARL:ARL_AddVendor({190, 202, 203, 192}, false))
	ARL:addTradeSkillSpell(26875, 215, ARL:ARL_AddVendor({197, 116}, false))
	ARL:addTradeSkillSpell(26878, 225, ARL:ARL_AddVendor({111, 113}, false))
	ARL:addTradeSkillSpell(26881, 225, ARL:ARL_AddVendor({116, 205}, false))
	ARL:addTradeSkillSpell(26897, 250, ARL:ARL_AddVendor({190, 202, 192, 206}, false))
	ARL:addTradeSkillSpell(26906, 275, ARL:ARL_AddVendor({57}, false))
	ARL:addTradeSkillSpell(26910, 285, ARL:ARL_AddVendor({207}, false))
	ARL:addTradeSkillSpell(28903, 300, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(28910, 300, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(28916, 300, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(28925, 300, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(28938, 300, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(28950, 300, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(26915, 305, ARL:ARL_AddVendor({53}, false))
	ARL:addTradeSkillSpell(28905, 305, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(28917, 305, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(28953, 305, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(34590, 305, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(28914, 315, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(28936, 325, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(28948, 325, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(34069, 325, ARL:ARL_AddVendor({208, 209}, false))
	ARL:addTradeSkillSpell(31101, 350, ARL:ARL_AddVendor({162, 163}, true), {L["PVP"]})
	ARL:addTradeSkillSpell(43493, 350, ARL:ARL_AddVendor({162, 163}, true), {L["PVP"]})
	
	-- World Drops
	ARL:addTradeSkill(BTS["Citrine Pendant of Golden Healing"], 190, L["UWD"])
	ARL:addTradeSkill(BTS["Jade Pendant of Blasting"], 160, L["UWD"])
	ARL:addTradeSkill(BTS["Figurine - Golden Hare"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Figurine - Truesilver Boar"], 230, L["UWD"])
	ARL:addTradeSkill(BTS["The Aquamarine Ward"], 245, L["UWD"])
	ARL:addTradeSkill(BTS["Gem Studded Band"], 250, L["UWD"])
	ARL:addTradeSkill(BTS["Figurine - Ruby Serpent"], 260, L["UWD"])
	ARL:addTradeSkill(BTS["Figurine - Emerald Owl"], 285, L["UWD"])
	ARL:addTradeSkill(BTS["Stormy Azure Moonstone"], 315, L["UWD"])
	ARL:addTradeSkill(BTS["Heavy Felsteel Ring"], 345, L["UWD"])
	ARL:addTradeSkill(BTS["Bright Living Ruby"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Brilliant Dawnstone"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Dazzling Talasite"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Delicate Living Ruby"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Enduring Talasite"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Inscribed Noble Topaz"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Flashing Living Ruby"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Gleaming Dawnstone"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Glinting Noble Topaz"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Glowing Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Jagged Talasite"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Luminous Noble Topaz"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Lustrous Star of Elune"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Potent Noble Topaz"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Radiant Talasite"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Rigid Dawnstone"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Royal Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Runed Living Ruby"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Shifting Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Smooth Dawnstone"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Sovereign Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Solid Star of Elune"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Sparkling Star of Elune"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Stormy Star of Elune"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Subtle Living Ruby"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Teardrop Living Ruby"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Thick Dawnstone"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Bold Living Ruby"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Delicate Eternium Ring"], 355, L["RWD"])
	ARL:addTradeSkill(BTS["Thick Felsteel Necklace"], 355, L["UWD"])
	ARL:addTradeSkill(BTS["Living Ruby Pendant"], 355, L["EWD"])
	ARL:addTradeSkill(BTS["Braided Eternium Chain"], 360, L["UWD"])
	ARL:addTradeSkill(BTS["Eye of the Night"], 360,  L["RWD"])
	ARL:addTradeSkill(BTS["Blazing Eternium Band"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Embrace of the Dawn"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Chain of the Twilight Owl"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Brutal Earthstorm Diamond"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Tenacious Earthstorm Diamond"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Destructive Skyfire Diamond"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Mystical Skyfire Diamond"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Balanced Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Great Dawnstone"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Infused Nightseye"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Thundering Skyfire Diamond"], 365, L["RWD"])
	ARL:addTradeSkill(BTS["Veiled Noble Topaz"], 350, L["RWD"])
	ARL:addTradeSkill(BTS["Wicked Noble Topaz"], 350, L["RWD"])

	-- Specific Drops
	ARL:addTradeSkill(BTS["Figurine - Black Diamond Crab"], 300, L["Figurine - Black Diamond Crab Obt"])
	ARL:addTradeSkill(BTS["Khorium Band of Shadows"], 350, L["Khorium Band of Shadows Obt"])
	ARL:addTradeSkill(BTS["Khorium Band of Frost"], 355, L["Khorium Band of Frost Obt"])
	ARL:addTradeSkill(BTS["Khorium Inferno Band"], 355, L["Khorium Inferno Band Obt"])
	ARL:addTradeSkill(BTS["Khorium Band of Leaves"], 360, L["Khorium Band of Leaves Obt"])
	ARL:addTradeSkill(BTS["Arcane Khorium Band"], 365, L["Arcane Khorium Band Obt"])
	ARL:addTradeSkill(BTS["Great Golden Draenite"], 325, L["Blades Edge Summon Bosses"])
	ARL:addTradeSkill(BTS["Infused Shadow Draenite"], 325, L["Blades Edge Summon Bosses"])
	ARL:addTradeSkill(BTS["Wicked Flame Spessarite"], 325, L["Blades Edge Summon Bosses"])
	ARL:addTradeSkill(BTS["Veiled Flame Spessarite"], 325, L["Blades Edge Summon Bosses"])
	ARL:addTradeSkill(BTS["Balanced Shadow Draenite"], 325, L["Blades Edge Summon Bosses"])
	ARL:addTradeSkill(BTS["Figurine - Dark Iron Scorpid"], 300, L["Dark Iron Scorpid Obt"])
	ARL:addTradeSkill(BTS["Coronet of the Verdant Flame"], 370, L["Coronet of the Verdant Flame Obt"])
	ARL:addTradeSkill(BTS["Circlet of Arcane Might"], 370, L["Circlet of Arcane Might Obt"])
	ARL:addTradeSkill(BTS["Chaotic Skyfire Diamond"], 365, L["Chaotic Skyfire Diamond Obt"])
	-- Reputations
	ARL:addTradeSkill(BTS["Kailee's Rose"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})	
	ARL:addTradeSkill(BTS["Blood of Amber"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Figurine - Talasite Owl"], 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Ring of Arcane Shielding"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Insightful Earthstorm Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})

	ARL:addTradeSkill(BTS["Enigmatic Skyfire Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Pendant of Frozen Flame"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Figurine - Living Ruby Serpent"], 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Stone of Blades"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Facet of Eternity"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Falling Star"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Figurine - Felsteel Boar"], 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Pendant of Thawing"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Potent Flame Spessarite"], 325, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Lower City"]), {BFAC["Lower City"]})

	ARL:addTradeSkill(BTS["Pendant of Withering"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Runed Blood Garnet"], 315, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Dazzling Deep Peridot"], 325, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	
	ARL:addTradeSkill(BTS["Pendant of Shadow's End"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Royal Shadow Draenite"], 305, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Gleaming Golden Draenite"], 305, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Aldor"]), {BFAC["The Aldor"]})

	ARL:addTradeSkill(BTS["Enduring Deep Peridot"], 315, ARL:ARL_AddReputation2(BFAC["Friendly"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Figurine - Dawnstone Crab"], 370, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
		
	ARL:addTradeSkill(BTS["The Frozen Eye"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Violet Eye"]), {BFAC["The Violet Eye"], L["Raid"]})
	
	ARL:addTradeSkill(BTS["Figurine - Nightseye Panther"], 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["The Natural Ward"], 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})

	ARL:addTradeSkill(BTS["Thick Golden Draenite"], 315, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Delicate Blood Garnet"], 325, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Shifting Shadow Draenite"], 325, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Lustrous Azure Moonstone"], 325, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Pendant of the Null Rune"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Bracing Earthstorm Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Powerful Earthstorm Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Swift Skyfire Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Crimson Sun"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Don Julio's Heart"], 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Luminous Flame Spessarite"], 305, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Relentless Earthstorm Diamond"], 365, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Consortium"]), {BFAC["The Consortium"]})

	ARL:addTradeSkill(BTS["Dazzling Seaspray Emerald"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Balanced Shadowsong Amethyst"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Delicate Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bold Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Runed Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bright Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Brilliant Lionseye"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})	
	ARL:addTradeSkill(BTS["Enduring Seaspray Emerald"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Rigid Lionseye"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Gleaming Lionseye"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Glinting Pyrestone"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Glowing Shadowsong Amethyst"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Infused Shadowsong Amethyst"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Jagged Seaspray Emerald"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})	
	ARL:addTradeSkill(BTS["Luminous Pyrestone"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Lustrous Empyrean Sapphire"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Potent Pyrestone"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Radiant Seaspray Emerald"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Royal Shadowsong Amethyst"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Smooth Lionseye"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Solid Empyrean Sapphire"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Sparkling Empyrean Sapphire"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Subtle Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Teardrop Crimson Spinel"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Thick Lionseye"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkill(BTS["Wicked Pyrestone"], 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scale of the Sands"]), {BFAC["The Scale of the Sands"], L["Raid"]})
	ARL:addTradeSkillSpell(46775, 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkillSpell(46776, 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkillSpell(46777, 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkillSpell(46778, 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkillSpell(46779, 375, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})

	-- Raid Drops
	ARL:addTradeSkill(BTS["Inscribed Pyrestone"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Mystic Lionseye"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Great Lionseye"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Sovereign Shadowsong Amethyst"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Stormy Empyrean Sapphire"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Flashing Crimson Spinel"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Veiled Pyrestone"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Shifting Shadowsong Amethyst"], 375, L["HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkillSpell(46127, 365, L["SunwellBoE"])
	ARL:addTradeSkillSpell(46125, 365, L["SunwellBoE"])
	ARL:addTradeSkillSpell(46126, 365, L["SunwellBoE"])
	ARL:addTradeSkillSpell(46124, 365, L["SunwellBoP"])
	ARL:addTradeSkillSpell(46122, 365, L["SunwellBoP"])
	ARL:addTradeSkillSpell(46123, 365, L["SunwellBoP"])

	ARL:addTradeSkillSpell(47054, 365, L["Unknown"])
	ARL:addTradeSkillSpell(47055, 365, L["Unknown"])
	ARL:addTradeSkillSpell(47056, 365, L["Unknown"])
	ARL:addTradeSkillSpell(47053, 365, L["Unknown"])
	ARL:addTradeSkillSpell(46403, 365, L["Unknown"])
	ARL:addTradeSkillSpell(46404, 365, L["Unknown"])
	ARL:addTradeSkillSpell(46405, 365, L["Unknown"])
	ARL:addTradeSkillSpell(46597, 365, L["Unknown"])
	ARL:addTradeSkillSpell(47054, 365, L["Unknown"])
	ARL:addTradeSkillSpell(46601, 365, L["Unknown"])
	ARL:addTradeSkillSpell(46803, 365, L["Unknown"])

end